!set title=ABC
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=XIAO Gang
email=xiao@unice.fr
computeanswer=yes

ansorder=r,r
varcnt=8
prevarcnt=7
postvarcnt=0
replycnt=2
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

tmp0=!shuffle 2,3,4,5,6

tmp1=!item 1 to 2 of $(tmp0)

val6=$(tmp1)
val7=$[rint($(val6[1]))]
val8=$[rint($(val6[2]))]
tmp0=!randint 2, 5

val9=$[rint($(tmp0))]
tmp0=!randint 2, 5

val10=$[rint($(tmp0))]
!readproc slib/matrix/random $val9,$val7,7 
tmp0=$slib_out
val11=$(tmp0)
!readproc slib/matrix/random $val8,$val10,7 
tmp0=$slib_out
val12=$(tmp0)
replytype1=numeric
replyname1=Filas de \(A)
replygood1=$[$val7]
replytype2=numeric
replyname2=Columnas de \(A)
replygood2=$[$val8]
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Tenemos un amatriz 
!insmath B
$(), tal que la multiplicación	<p><center>	   
!insmath [$val11]*B*[$val12]
$()	</center> <p>	tiene sentido.	<p>	¿Cuál es el orden de 
!insmath A
$() ?  
!read oef/embed.phtml r1,2 
$() filas y  
!read oef/embed.phtml r2,2 
$() columnas.	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=11,12
embedcnt=2
